# Method: projects.locations.azureClusters.getJwks

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.AzureJsonWebKeys.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.azureClusters/getJwks#body.aspect)

> [!WARNING]
> GKE-on-Azure is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/azure/deprecations/deprecation-announcement> for more details.

Gets the public component of the cluster signing keys in JSON Web Key format.

### HTTP request

`GET https://{endpoint}/v1/{azureCluster=projects/*/locations/*/azureClusters/*}/jwks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `azureCluster` | `string` Required. The AzureCluster, which owns the JsonWebKeys. Format: `projects/<project-id>/locations/<region>/azureClusters/<cluster-id>` |

### Request body

The request body must be empty.

### Response body

> [!WARNING]
> GKE-on-Azure is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/azure/deprecations/deprecation-announcement> for more details.

AzureJsonWebKeys is a valid JSON Web Key Set as specififed in RFC 7517.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "keys": [ { object (`https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/Jwk`) } ] } ``` |

| Fields ||
|---|---|
| `keys[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/Jwk`)`` The public component of the keys used by the cluster to sign token requests. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).